Package pyxmpp :: Package sasl :: Module digest_md5 :: Class DigestMD5ServerAuthenticator

[hide private]

# Class DigestMD5ServerAuthenticator

source code

    core.ServerAuthenticator --+
                               |
                              DigestMD5ServerAuthenticator

Provides DIGEST-MD5 SASL authentication for a server.

Instance Methods | [hide private]

__init__(self, password_manager) Initialize a DigestMD5ServerAuthenticator object. | source code

sasl.Challenge, sasl.Success or sasl.Failure

start(self, response) Start the authentication process. | source code

sasl.Challenge, sasl.Success or sasl.Failure

response(self, response) Process a client reponse. | source code

sasl.Challenge, sasl.Success or sasl.Failure

_parse_response(self, response) Parse a client reponse and pass to further processing. | source code

sasl.Challenge, sasl.Success or sasl.Failure

_check_params(self, username, realm, cnonce, digest_uri, response_val, authzid, nonce_count) Check parameters of a client reponse and pass them to further processing. | source code

sasl.Challenge, sasl.Success or sasl.Failure

_make_final_challenge(self, username, realm, cnonce, digest_uri, response_val, authzid, nonce_count) Send the second challenge in reply to the client response. | source code

Method Details | [hide private]

### __init__(self, password_manager)
(Constructor)

source code

Initialize a DigestMD5ServerAuthenticator object.

Parameters:
  - `password_manager` (: PasswordManager) - : name of the password manager object providing authentication credential verification.
Overrides: core.ServerAuthenticator.__init__

### start(self, response)

source code

Start the authentication process.

Parameters:
  - `response` (: `str`) - : the initial response from the client (empty for DIGEST-MD5).
Returns: sasl.Challenge, sasl.Success or sasl.Failure
  a challenge, a success indicator or a failure indicator.
Overrides: core.ServerAuthenticator.start

### response(self, response)

source code

Process a client reponse.

Parameters:
  - `response` (: `str`) - : the response from the client.
Returns: sasl.Challenge, sasl.Success or sasl.Failure
  a challenge, a success indicator or a failure indicator.
Overrides: core.ServerAuthenticator.response

### _parse_response(self, response)

source code

Parse a client reponse and pass to further processing.

Parameters:
  - `response` (: `str`) - : the response from the client.
Returns: sasl.Challenge, sasl.Success or sasl.Failure
  a challenge, a success indicator or a failure indicator.

### _check_params(self, username, realm, cnonce, digest_uri, response_val, authzid, nonce_count)

source code

Check parameters of a client reponse and pass them to further processing.

Parameters:
  - `username` (: `str`) - : user name.
  - `realm` (: `str`) - : realm.
  - `cnonce` (: `str`) - : cnonce value.
  - `digest_uri` (: `str`) - : digest-uri value.
  - `response_val` (: `str`) - : response value computed by the client.
  - `authzid` (: `str`) - : authorization id.
  - `nonce_count` (: `int`) - : nonce count value.
Returns: sasl.Challenge, sasl.Success or sasl.Failure
  a challenge, a success indicator or a failure indicator.

### _make_final_challenge(self, username, realm, cnonce, digest_uri, response_val, authzid, nonce_count)

source code

Send the second challenge in reply to the client response.

Parameters:
  - `username` (: `str`) - : user name.
  - `realm` (: `str`) - : realm.
  - `cnonce` (: `str`) - : cnonce value.
  - `digest_uri` (: `str`) - : digest-uri value.
  - `response_val` (: `str`) - : response value computed by the client.
  - `authzid` (: `str`) - : authorization id.
  - `nonce_count` (: `int`) - : nonce count value.
Returns: sasl.Challenge, sasl.Success or sasl.Failure
  a challenge, a success indicator or a failure indicator.